# -*- coding: utf-8 -*
from qiniu import Auth, put_file, BucketManager


# 构建鉴权对象
class Qiniu(object):
    # 需要填写你的 Access Key 和 Secret Key
    def __init__(self, access_key, secret_key):
        self.q = Auth(access_key, secret_key)

    def upload(self, bucket, file_path, file_name):
        token = self.q.upload_token(bucket, file_name, 36000)
        ret, info = put_file(token, file_name, file_path)
        return ret["key"]

    def exists(self, bucket_name, file_name):
        bucket = BucketManager(self.q)
        ret, info = bucket.stat(bucket_name, file_name)
        return ret is not None
